#pragma once

#include <cstddef>
#include <string>

#include "MpiEnvironment.hpp"

struct Configuration {
	std::size_t GridColumns{};
	std::size_t GridRows{};
	std::string InputFilePath{};

	static auto parseArgs(int argc, char* argv[], const MpiEnvironment& env)
	    -> Configuration;
};
